A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Member Functions
features Class Reference
ArrayFire Classes | ArrayFire Functions » features

Represents a feature returned by a feature detector. More...

`#include <features.h>`

## Public Member Functions
| features ()
| Default constructor. Creates a features object with new features.
| features (const size_t n)
| Creates a features object with n features with undefined locations.
| features (af_features f)
| Creates a features object from a C af_features object.
| ~features ()
features & | operator= (const features &other)
| Copy assignment operator.
| features (const features &other)
| Copy constructor.
size_t | getNumFeatures () const
| Returns the number of features represented by this object.
array | getX () const
| Returns an af::array which represents the x locations of a feature.
array | getY () const
| Returns an af::array which represents the y locations of a feature.
array | getScore () const
| Returns an array with the score of the features.
array | getOrientation () const
| Returns an array with the orientations of the features.
array | getSize () const
| Returns an array that represents the size of the features.
af_features | get () const
| Returns the underlying C af_features object.

## Detailed Description

Represents a feature returned by a feature detector.

Examples
  computer_vision/fast.cpp, and computer_vision/susan.cpp.

Definition at line 24 of file features.h.

## Constructor & Destructor Documentation

## ◆ features() [1/4]

features | ( |  | ) |

Default constructor. Creates a features object with new features.

## ◆ features() [2/4]

features | ( | const size_t | n | ) |

Creates a features object with n features with undefined locations.

## ◆ features() [3/4]

features | ( | af_features | f | ) |

Creates a features object from a C af_features object.

## ◆ ~features()

~features | ( |  | ) |

## ◆ features() [4/4]

features | ( | const features & | other | ) |

Copy constructor.

## Member Function Documentation

## ◆ get()

af_features get | ( |  | ) | const

Returns the underlying C af_features object.

## ◆ getNumFeatures()

size_t getNumFeatures | ( |  | ) | const

Returns the number of features represented by this object.

Examples
  computer_vision/fast.cpp, and computer_vision/susan.cpp.

## ◆ getOrientation()

array getOrientation | ( |  | ) | const

Returns an array with the orientations of the features.

## ◆ getScore()

array getScore | ( |  | ) | const

Returns an array with the score of the features.

Examples
  computer_vision/susan.cpp.

## ◆ getSize()

array getSize | ( |  | ) | const

Returns an array that represents the size of the features.

## ◆ getX()

array getX | ( |  | ) | const

Returns an af::array which represents the x locations of a feature.

Examples
  computer_vision/fast.cpp, and computer_vision/susan.cpp.

## ◆ getY()

array getY | ( |  | ) | const

Returns an af::array which represents the y locations of a feature.

Examples
  computer_vision/fast.cpp, and computer_vision/susan.cpp.

## ◆ operator=()

features & operator= | ( | const features & | other | ) |

Copy assignment operator.

The documentation for this class was generated from the following file:

- features.h